%%ItemTitle%%

Liquid Technologies Licensing
Licensing Overview
Send Feedback

Glossary Item Box

When you license a Liquid Technologies product, the license is locked to a specific machine. Typically this activation process is performed seamlessly without the need for user input, however if the application does not have access to the Liquid License server on the internet, then the user may have to perform the activation manually. It may also be necessary to move a license from one machine to another, this can be accomplished by de-activating a license on a machine that no longer needs it.

Core task

  • Requesting a Trial License
  • Activating a License you have purchased
  • Moving a licenses from one machine to another
  • Monitoring Installed License

© Liquid Technologies Ltd 2018. All Rights Reserved.


Trouble Shooting
Licensing Overview > Trouble Shooting

Glossary Item Box

The error 'Activation Failed' indicates that the structure of the message is invalid.
Ensure you have not missed part of the message when it was pasted it.
If you are sure the message is intact then send it to support.

The error 'Failed to activate the license' occurs when the server could not grant the license.
The description below will describe the error, but this is typically because all of the licenses have been assigned.
You can use the 'View Activated Licenses Dialog' to check where your licenses have been assigned.

This error indicates that the license key is not valid.
Please make sure the license is for the correct major version of the software, and that it has been typed in correctly.


Requesting a trial license
Licensing Overview > Tasks > Requesting a trial license

Glossary Item Box

In order to make use of all the features of the product, you will need to request a FREE 30 day trial license.

When the application starts you should be presented with the following dialog:

Software Setup Dialog

Ensure 'FREE 30 day trial license' is selected and click 'Next >'

Trial Request Dialog

If you have a trial license key, enter it in the box. If you do not have a trial license key, click 'Request FREE Trial'.

If you have a connection to the internet, then the trial request page on our web site should be displayed in your web browser.

If there was a problem connecting to the internet, you will need to connect and browse to:

http://www.liquid-technologies.com/Licensing/RequestTrialLicense.aspx

If an errors occurs then see Trouble Shooting.


Activating a license
Licensing Overview > Tasks > Activating a license

Glossary Item Box

Once you have made your purchase you should have been sent a license key which will look something like this

FFFF-FFFF-FFFF-FFFF-FFFF-FFFF.

In order to activate the application you have purchased, you must install the product and run it.

When the application starts up you should see the Software Setup window.

Select the 'Activate Product' Option and press 'Next'.

The details on the activation page should be completed before pressing the 'Activate' Button.

For more information on the fields see Product Activation Dialog.

Be sure to check the License Key is correct, and complete all the mandatory fields

If you have a connection to the internet, then the request will be made automatically, and your trial will begin.

Trial License Installed

If there was a problem connecting to the internet then the following trial activation window will appear.

Please follow the Manual Activation Instructions.

If an errors occurs then see Trouble Shooting.


Moving a License to another Machine
Licensing Overview > Tasks > Moving a License to another Machine

Glossary Item Box

If a license is no longer required on a machine, then it should be de-activated. This allows it to be assigned to another machine.

The license is automatically De-activated when the product is uninstalled, but it is also possible to deactivate the license using

Help->About->Manage Licenses->Deactivate.

From the menu select the Help-About

Click the 'Manage Licenses...' button

Select the 'Deactivate a License on this Machine' option and press 'Next'

This option is only availible if a valid license is is installed on this machine.

The 'Deactivate Dialog' shows all the licenses that are installed on this machine.

Click the 'Deactivate All' Licenses button to remove them.

The application will be closed once the deactivation is complete - so ensure any work is saved.

The Deactivation process removes all the licenses from the computer and lets the license server know that the license has been released, so it can be re-assigned to other machines.

This process is normally done behind the scenes without user intervention. However if the license server is not reachable then this MUST be done manually - see Manual Deactivation.

Failure to complete the deactivation process will result in the lost of the license. Lost licenses can only be retervied by contacting support.


Monitoring Installed Licenses
Licensing Overview > Tasks > Monitoring Installed Licenses

Glossary Item Box

If you purchase multiple licenses, then its easy to lose track of which machines they are assigned to.

The License Viewer allows you to keep track of the licenses you have activated.

To access it

  • Select the Help->About Menu
  • Click 'View Allocated Licenses...'

Each activated machine may have several entries, one for the version of the product you bought, the other for Upgrade protection (if you purchased it).

You can only view the distribution of licenses that are already installed on this machine, ie if you have no licenses installed you will not see any entries.


License Manager Dialog
Licensing Overview > Reference > License Manager Dialog

Glossary Item Box

Accessible From

On Startup if the product is not fully licensed.

'About Dialog' -> 'Manage Licenses'.

Summary

Provides functions to control the licensing of the product.

Controls

Activate Product

Activates a license you have purchased previously.

See 'Product Activation Dialog'

Request Trial License

Requests a trial license. A trial license typically lasts 30 days, and makes the application fully functional, see 'Requesting a trial license'.

Continue Trial

Shows the remaining time left in the trial period.
This option only appears when a trial license is in use.

Deactivate License on this machine

Allows you to deactivate the activated license on this machine, so it can be installed on another machine, see 'Deactivate License Dialog' & 'Moving a License to another Machine'.
This option only appears when an existing license is installed.


Product Activation Dialog
Licensing Overview > Reference > Product Activation Dialog

Glossary Item Box

Accessible From

'License Manager Dialog' -> Activate Product.

Summary

Activates a purchased license on this computer.

Controls

License Key

The license key sent to you when you purchased the product.

It should be in form FFFF-FFFF-FFFF-FFFF-FFFF-FFFF.

Computer Description

This is a free text field that allows you to describe the machine that the license is being activated on (Optional).

When managing larger numbers of licenses, this makes it easier to identify which machines have licenses and why.

Email

Your Email address, see our privacy policy (Optional).

Company

The Company you are working for (Optional)

Contact No

You contact Telephone number, including country code (Optional)

Activate Manually

Forces activation to be done manually see 'Manual Activation'.

Activate Button

if 'Activate Manually' is not checked, then it sends the activation request to the license server, and installs the resulting license.

if 'Activate Manually' is checked, then it opens the 'Manual Activation Dialog' so you can send the request to the license server.

Back

Returns to the 'License Manager Dialog' page.

Close

closes the application.

Quit

Closes the form.
Shown when the application can not be run without a full or trial license.


Trial Request Dialog
Licensing Overview > Reference > Trial Request Dialog

Glossary Item Box

Accessible From

'License Manager Dialog' -> Request Trial License.

Summary

Allows a 30 day trial licenses to be requested.

Back

Returns to the 'License Manager Dialog' page.

Quit

Closes the form.
Shown when the application can not be run without a full or trial license.


Deactivate License Dialog
Licensing Overview > Reference > Deactivate License Dialog

Glossary Item Box

Accessible From

'License Manager Dialog' -> Deactivate License on this machine.

Summary

Allows all the installed licenses to be de-activated from this computer.

Controls

Deactivate All Licenses

Starts the deactivation process. Once started it must be completed or you risk losing licenses, see 'Moving a License to another Machine'.


About Dialog
Licensing Overview > Reference > About Dialog

Glossary Item Box

Accessible From

Menu Help->About.

Summary

Provides a quick summary of the installed licenses, and allows access to the license manager.

Controls

The table shows the installed licenses.

Product Column (1)

The tick/cross indicates if the license is still valid.

The name is the type of license i.e. 'Liquid XML Studio All Versions' allows any version of the 'Liquid XML Studio' product to be run, 'Liquid XML Studio Version 6' allows only version 6 of the 'Liquid XML Studio' product to be run.

Start Date Column (2)

The date the license becomes valid ('-' means it has no start date)

Expiry Date Column (3)

The date the license expires ('-' means it has no expiry date)

Build Before Column (4)

This license is valid on applications built before the date show in this column.
This is how the USPP license is granted on the client (the support contract that allows you to run any version released while your contract is valid).
The date the application was built can be seen in (9).

Type Column (5)

The license type, Full or Trial

License Key Column (6)

Your license Key (sent to you when you made your purchase)

Licensee Column (7)

The user/company the license is granted to

The version of the application is shown in (8).

The date the build was made is shown in (9), ties in with the USPP contract, see Build Before Column(4).

The build number, useful when reporting issues with an application (10).

'View Allocated Licenses...' (11) shows where the rest of the licenses are allocated (see 'View Activated Licenses Dialog').

'Manage Licenses...'(12) shows the license manager (see 'License Manager Dialog').

'Close' (13) closes this dialog.


View Activated Licenses Dialog
Licensing Overview > Reference > View Activated Licenses Dialog

Glossary Item Box

Accessible From

'About Dialog' -> 'View Activated Licenses...'.

Summary

Shows which computers are licensed to use this application (on a given license).

You can only get information for a license key that is already installed on this machine.
If you have taken out support when you purchased the product, then each Computer may contain 2 licenses. One is for the version of the product that you purchased, the other allows you to run any version of the product released while the support contract is valid.

Controls

State Column

Indicates if the license is activated or deactivated.

Type Column

The type of license, Full or Trial

Computer Name Column

The name of the computer that has the license.

Description Column

The description entered into the 'Activation Request'.

Licensed Apps Column

The applications that rights are granted to via this license.


Manual Activation Dialog
Licensing Overview > Reference > Manual Activation Dialog

Glossary Item Box

Accessible from

The 'License Manager Dialog', via the 'Request Trial License' and 'Activate License' options.

This dialog will only be shown if the application can not connect to the license server directly. This may happen if you are on a closed network or have non-standard firewall setup.

Summary

When the license server is not accessible (typically due to the network setup, firewalls etc), this dialog can be used for sending license activation requests to the license server, and inputting the activation message.

Controls

(1) Tab describing Manual Activation via the web. This tab describes the simplest way to activate a license - see 'Manual Activation'.

(2) Tab describing Manual Activation via email. This tab describes a fall back way to activate a license - see 'Manual Activation'.

(3) A link to open a web browser on the activation page, and auto run the activation request.

(4) The activation request. This is supplied in case the links in (3) or (8) do not work correctly (this can happen if you are using 3rd party mail/web browsers).

(5) The activation response. Paste the response received via mail or the web into this box, and press activate (6).

(6) The activate button, processes the activation request in (5). This is only enabled when the activation request is populated.

(7) Closes the dialog.

(8) A link to create a new mail, with the address, body and subject pre-populated.


Manual Deactivation Dialog
Licensing Overview > Reference > Manual Deactivation Dialog

Glossary Item Box

Accessible From

'License Manager Dialog' -> Deactivate Licenses

The license is also deactivated when the application is uninstalled.

Only availible when a license is installed on the computer.

Summary

Provides the ability to deactivate a license if there is no direct connection to the license server

Controls

(1) The Email address to send the Deactivation request to (you can select the contents of this field and copy it to the clipboard using ctrl-c).

(2) Creates a new Email populated with the Deactivation Request (6), and ready to send.

(3) The url that can be used to Deactivate the license.

(4) Launches a browser, passing the Deactivation request (6) to the license server - de-activating the license.

(5) Copies the deactivation request (6) to the clipboard.

(6) The deactivation request

(7) Closes the dialog.


Feature Warning Dialog
Licensing Overview > Reference > Feature Warning Dialog

Glossary Item Box

Accessible From

This window is opened when you try to use a feature that is not covered in the license that you are using.

Summary

Indicates the feature that you are not licensed to use, and tells you which version of the product will provide you with access to this feature.

Controls

(1) The feature that you do not have access to.

(2) Details of the product this is availible in.


Manual Activation
Licensing Overview > Reference > Manual Activation

Glossary Item Box

If it was not possible to communicate directly with the Liquid license server, then you must forward the message manually.
This is normally a very simple procedure.

If the automatic activation processed failed then you should be looking at the Manual Activation Dialog.

Activate Automatically Via the Web

If you have access to the web then this is the simplest way to activate your license.

  • Ensure the web tab (1) is selected.
  • Click on the Link (3), this should launch an web browser and pass in the activation request. You should then see the activation response in the browser. If the browser did not launch, or there was a problem, Try 'Activate Manually Via the Web' Below.
  • Copy the response message back into the 'Manual Activation Dialog' in text box (5).

Activate Manually Via the Web

  • Open an internet browser
  • Open the url http://www.liquid-technologies.com/ManualActivation.aspx
  • Copy the text from (4) and paste it into the form in the web browser.
  • Press the 'Request Activate' button on the web page.
  • Copy the response message from the web browser into the 'Manual Activation Dialog' in text box (5).

Activate Automatically Via the Email

Use this procedure if you don't have web access, but have access to external email.

  • Ensure the EMail tab (2) is selected
  • Click on the Link (6), this should create a new email and pass in the activation request as the emails text.
  • Check the email contains the request message, and that the 'to' address is ManualActivation@liquid-technologies.com.
  • Send the Email.
  • A response should arrive within 5 minutes (typically faster).
  • Copy the response message from the mail back into the 'Manual Activation Dialog' in text box (5).

Activate Manually Via the Email

  • Ensure the EMail tab (2) is selected
  • Open your EMail Client and create a new mail
    • To : ManualActivation@liquid-technologies.com
    • Subject : Manual Activation Request
    • Body : The request message in box (4)
  • Send the Mail
  • A response should arrive within 5 minutes (typically faster).
  • Copy the response message from the mail back into the 'Manual Activation Dialog' in text box (5).

If you have any problems, then have a look a the Trouble Shooting Guide


Manual Deactivation
Licensing Overview > Reference > Manual Deactivation

Glossary Item Box

If it was not possible to communicate directly with the Liquid license server, then you must forward the message manually.
This is normally a very simple procedure.

If the automatic de-activation processed failed then you should be looking at the Manual Deactivation.

Deactiviating using a Web Browser

Clicking on (2) should launch a web browser and pass the de-activation message.

If all went well, you should be looking at the completed deactivation screen - in which case your finished.

If your not looking at this web page, then things didn't work 100%, and you'll need to continue manually.

  • Open a web Browser
  • Goto the Url http://www.liquid-technologies.com/ManualDeActivation.aspx.
  • Copy the message from the Deactivation Dialog to the web page
  • Click the 'Request De-Activation Button'.
  • This should confirm that the license has been de-activated.

Deactivating Via Email

  • Click on button (1). This should create a new mail containing the deactivation request addressed to ManualDeActivation@liquid-technologies.com.
  • Send the Mail.
  • 5 Mins later (typically less) you should get an acknowledgement that the license has been deactivated.
  • If clicking on (1) does not create the mail, then you will need to create and address the mail yourself.
    • Open your EMail Client and create a new mail
    • To : ManualActivation@liquid-technologies.com
    • Subject : Manual Activation Request
    • Body : The request message in box (4)


Empty Index Entry

Glossary Item Box

Empty Index Entry

The index entry you selected has no target topics associated with it.

If you have chosen a parent entry, please select a child entry.


Topic Not Found

Glossary Item Box

Topic Not Found

The link you just clicked was not able to connect to the target page.

Some possible reasons and remedies are as follows:

Reason | Remedy
Destination topic is not part of the area you specified in the Filtered by field. | Either select another filter or select (no filter).
The URL of the destination topic is incorrect or has changed. | Use the index or the search function instead.
Problems with the help installation. | Rerun Setup for the product this help is related to and select the 'Repair' option.

Additional help is available for filters, search, and the index.

Click Back to return to the page you were on.

The target parameters are:

Keyword:
Index Moniker:
URL:


Request a trial extension

Glossary Item Box

Once your trial period has expired the application will stop working.

If you need to continue your trial of the product, then you will need to send your request to the sales team.


Request Trial Extension Dialog

Glossary Item Box

Accessible From

'License Manager Dialog' - but only accessible when an existing trial has expired.

Summary

Allows trial extensions to be requested and activated.

Controls

Trial Extension Request Message (1)

The message that needs sending to support@liquid-technologies.com

Trial Extension Response Message (2)

The message that liquid support will send back to you via an email.

Activate (3)

Paste the response you received from the Liquid support team into (2) and click this to activate the license.

Close (4)

Closes the dialog.


a
about
after
against
all
along
also
although
am
among
an
and
are
as
at
be
became
because
been
being
between
but
by
can
caution
come
could
details
did
do
does
doing
done
during
each
early
far
finally
for
found
from
had
has
have
he
her
here
his
how
however
I
if
in
include
including
information
into
is
it
its
late
later
made
many
may
me
med
might
more
most
near
no
non
none
nor
not
note
of
off
on
only
or
other
over
saw
see
seen
several
she
since
so
some
such
than
that
the
their
them
then
there
these
they
this
those
through
tip
to
too
under
until
up
us
use
very
warning
was
we
were
when
where
which
while
who
with
you